Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class StyledEditorKit.AlignmentAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.text.TextAction
                  |
                  +--javax.swing.text.StyledEditorKit.StyledTextAction
                        |
                        +--javax.swing.text.StyledEditorKit.AlignmentAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  StyledEditorKit

public static class StyledEditorKit.AlignmentAction
extends StyledEditorKit.StyledTextAction

An action to set paragraph alignment. This sets the `StyleConstants.Alignment` attribute for the currently selected range of the target JEditorPane. This is done by calling `StyledDocument.setParagraphAttributes` on the styled document associated with the target JEditorPane.

If the target text component is specified as the source of the ActionEvent and there is a command string, the command string will be interpreted as an integer that should be one of the legal values for the `StyleConstants.Alignment` attribute.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`StyledEditorKit.AlignmentAction(String nm, int a)` Creates a new AlignmentAction.

Method Summary
`void` | `actionPerformed(ActionEvent e)` Sets the alignment.

Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction
`getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

Methods inherited from class javax.swing.text.TextAction
`augmentList, getFocusedComponent, getTextComponent`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyledEditorKit.AlignmentAction

    public StyledEditorKit.AlignmentAction(String nm,
                                           int a)

  Creates a new AlignmentAction.
  Parameters:
    `nm` - the action name
    `a` - the alignment >= 0

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Sets the alignment.
  Parameters:
    `e` - the action event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.